Rules

class oci.identity_domains.models.Rules(**kwargs)

Bases: object

The SCIM protocol defines a standard set of query parameters that can be used to filter, sort, and paginate to return zero or more resources in a query response. Queries MAY be made against a single resource or a resource type endpoint (e.g., /Users), or the service provider Base URI.

Methods:

__init__(**kwargs)

Initializes a new Rules object with values from keyword arguments.

Attributes:

items_per_page

[Required] Gets the items_per_page of this Rules.

resources

[Required] Gets the resources of this Rules.

schemas

[Required] Gets the schemas of this Rules.

start_index

[Required] Gets the start_index of this Rules.

total_results

[Required] Gets the total_results of this Rules.

__init__(**kwargs)

Initializes a new Rules object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • schemas (list[str]) – The value to assign to the schemas property of this Rules.

  • total_results (int) – The value to assign to the total_results property of this Rules.

  • resources (list[oci.identity_domains.models.Rule]) – The value to assign to the resources property of this Rules.

  • start_index (int) – The value to assign to the start_index property of this Rules.

  • items_per_page (int) – The value to assign to the items_per_page property of this Rules.

property items_per_page

[Required] Gets the items_per_page of this Rules. The number of resources returned in a list response page. REQUIRED when partial results returned due to pagination.

Returns

The items_per_page of this Rules.

Return type

int

property resources

[Required] Gets the resources of this Rules. A multi-valued list of complex objects containing the requested resources. This MAY be a subset of the full set of resources if pagination is requested. REQUIRED if “totalResults” is non-zero.

Returns

The resources of this Rules.

Return type

list[oci.identity_domains.models.Rule]

property schemas

[Required] Gets the schemas of this Rules. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior. REQUIRED.

Returns

The schemas of this Rules.

Return type

list[str]

property start_index

[Required] Gets the start_index of this Rules. The 1-based index of the first result in the current set of list results. REQUIRED when partial results returned due to pagination.

Returns

The start_index of this Rules.

Return type

int

property total_results

[Required] Gets the total_results of this Rules. The total number of results returned by the list or query operation. The value may be larger than the number of resources returned such as when returning a single page of results where multiple pages are available. REQUIRED.

Returns

The total_results of this Rules.

Return type

int